Ocsinventory::Agent::Backend::OS::Linux::Network::Networks(3)

NAME
OCSInventory::Agent::Backend::OS::Linux::Network::Networks - Network-related functions

DESCRIPTION
This module retrieves network information.

FUNCTIONS

  getSpeed
Returns the speed of the card.

  getDuplex
Returns duplex state of the card.

  getMTU
Returns the mtu of the card.

  getStatus
Returns the status of the card.

  getMAC
Returns the mac address.

  getSubnetAddress($address, $mask)
Returns the subnet address for IPv4.

  getSubnetAddressIPv6($address, $mask)
Returns the subnet address for IPv6.

  getIPNetmask($prefix)
Returns the network mask for IPv4.

  getIPNetmaskV6($prefix)
Returns the network mask for IPv6.

  getslaves
Returns if card has a bonding.

  getIPRoute
Returns the gateway defined int he ip config.

  getRouteIfconfig
Returns the gateway defined in the ip config.